package intrinsic.mx.events;

public class CuePointEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public String cuePointName;
	public double cuePointTime;
	public String cuePointType;

	/** Constants */
	public static final String VERSION = "version";
	public static final String CUE_POINT = "cue_point";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public CuePointEvent() {
}

public CuePointEvent(String arg0) {
}

public CuePointEvent(String arg0, boolean arg1) {
}

public CuePointEvent(String arg0, boolean arg1, boolean arg2) {
}

public CuePointEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public CuePointEvent(String arg0, boolean arg1, boolean arg2, String arg3, double arg4) {
}

public CuePointEvent(String arg0, boolean arg1, boolean arg2, String arg3, double arg4, String arg5) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
